<div class="clearfix" style="display: flex; justify-content: end; margin-bottom: 1em">
    <button id='cancelAddNewContact' type="button" class="button secondaire" data-dismiss="modal">{{ 'Annuler' | trad }}</button>
    <button id='saveNewContact' type="button" class="button principal" >{{ 'Enregistrer' | trad }}</button>
</div>
<div class="clearfix">
<form action="" id="form-contact">
    <div class="row">
        <div class="colonne2">
            <input type="hidden" name="IND_FOU_CONT_FOU" value="{{ detailContact.IND_FOU }}" />
            {{ inputAdvance('text', {
                'titre' : 'Nom' | trad,
                'name'  : 'NOM_CONT_FOU',
                'value' : detailContact.NOM,
                'obligatoire': true,
                'pathValidator' : path('Ajax.validator.isStringAvecEspace'),
                'paramsValidator' : "{'nomChamp' : '"~ 'Téléphone' | trad ~"', 'sizeMin' : 1, 'sizeMax' : '25'}",
            }) }}
        </div>
        <div class="colonne2 last">
            {{ inputAdvance('ZOOM', {
                'titre' : 'Fonction' | trad,
                'titleZoom' : 'Liste des fonctions' | trad,
                'name' : 'FONCTION_CONT_FOU',
                'pahtZoom' : path('Ajax.liste.fonction'),
                'pathValidator' : path('Ajax.validator.isStringAvecEspace'),
                'paramsValidator' : "{'sizeMin' : '0', 'sizeMax' : '40'}",
                'value' : detailContact.FONCTION,
            }) }}
        </div>
    </div>
    <div class="row">
        <div class="colonne2">
            {{ inputAdvance('text', {
                'titre' : 'Téléphone' | trad,
                'name'  : 'TEL_CONT_FOU',
                'value' : detailContact.TEL,
                'pathValidator' : path('Ajax.validator.isStringAvecEspace'),
                'paramsValidator' : "{'nomChamp' : '"~ 'Téléphone' | trad ~"', 'sizeMin' : '0', 'sizeMax' : '16'}",
            }) }}
        </div>

        <div class="colonne2 last">
            {{ inputAdvance('text', {
                'titre' : 'Fax' | trad,
                'name'  : 'FAX_CONT_FOU',
                'value' : detailContact.FAX,
                'pathValidator' : path('Ajax.validator.isStringAvecEspace'),
                'paramsValidator' : "{'nomChamp' : '"~ 'Fax' | trad ~"', 'sizeMin' : '0', 'sizeMax' : '16'}",
            }) }}
        </div>

    </div>
    <div class="row">
        <div class="colonne2">
            {{ inputAdvance('text', {
                'titre' : 'Portable' | trad,
                'name'  : 'TELPORT_CONT_FOU',
                'value' : detailContact.TELPORT,
                'pathValidator' : path('Ajax.validator.isStringAvecEspace'),
                'paramsValidator' : "{'nomChamp' : '"~ 'Téléphone' | trad ~"', 'sizeMin' : '0', 'sizeMax' : '16'}",
            }) }}
        </div>

        <div class="colonne2 last">
            {{ inputAdvance('text', {
                'titre' : 'Email' | trad,
                'name'  : 'EMAIL_CONT_FOU',
                'value' : detailContact.EMAIL,
                'obligatoire': true,
                'pathValidator' : path('Ajax.validator.isStringWithContent'),
                'paramsValidator' : "{'nomChamp': '"~ 'Email' | trad ~"', 'contentAutorise': ['.', '@', '_', '-'], 'contentObligatoire': ['.', '@'], 'separation': true, 'sansEspace': true, 'sizeMin': 1, 'sizeMax': 255}",
                'myFunction' : 'changeEmail',
                'myParams' : "[this, 'iconeEmail']",
                'iconeLabel' : 'createur.png',
                'idIconeLabel' : 'iconeEmailNewContFou',
            }) }}
        </div>

    </div>
    <div class="row">
        <div class="colonne2">
            {{ inputAdvance('SWITCH', {
                'titre' : 'Contact Consultation ?' | trad,
                'name' : 'CTC_CONSULT_CONT_FOU',
                'value' : modeContactLiv == 'modification' ? detailContact.CTC_CONSULT : fromConsultation,
            }) }}
        </div>
        {% if modeContactLiv != 'modification' %}
            {% if contexte == 'panier' %}
                {% set valueEproc = true %}
            {% else %}
                {% set valueEproc = false %}
            {% endif %}
        {% else %}
            {% set valueEproc = detailContact.VIBOXAP %}
        {% endif %}
        {% if typeFG == 'F' %}
            <div class="colonne2 last">
                {{ inputAdvance('SWITCH', {
                    'titre' : 'E-proc ?' | trad,
                    'name' : 'VIBOXAP_CONT_FOU',
                    'value' : valueEproc,
                }) }}
            </div>
        {% endif %}
        
    </div>
</form>
</div>


<script>
    {% if detailContact.EMAIL == '' %}
        $('#iconeEmailNewContFou').hide();
    {% endif %}
    $('#iconeEmailNewContFou').click(function(){
        document.location.href = "mailto:"+$('#input_EMAIL_CONT_FOU').val();
    });

    function enregistrerContact(path, typeContact, codeContact)
    {
        $.ajax({
          	dataType : 'html',
        	url: path,
        	data: $("#form-contact").serialize(),
        	type: "POST",
        	success: function(result){
            	if(codeContact) {
                    $('#contactFou'+codeContact).attr('id', 'ctcRemove');
                    $('#ctcRemove').after(result);
                    $('#ctcRemove').remove();
            	} else {
                    if ($('table#ligneContactFou tbody tr').length > 0) {
                        $('table#ligneContactFou tbody tr:last-child').after(result);
                    } else {
                        $('table#ligneContactFou tbody').append(result);
                    }                
                }

                $('#noContactTR').remove();
                
            	$('#{{ idClose }}').find('a').trigger('click');

                {% if contexte == 'consultMulti' %}
                    $("#titleModification").text("{{ 'Modification des contacts' | trad }} {{ RS }} ({{ CODE }})");
                {% endif %}

            	desactiveLoader();
        	},
    		error: function (data){
        		desactiveLoader();
                $("#modal-content").addClass("modal_small");
                $("#modal-body").html(data.responseText);
        		activePopup();
    		}
        });
    }

    function changeEmail(objet, icone){
        if($(objet).val()==''){
            $('#'+icone).hide();
        }else{
            $('#'+icone).show();
        }
    }	
    function annulerNouveauContactFou()
    {
    	$('#{{ idClose }}').find('a').trigger('click');
    }

    

    $('#EnregistrerProjetConsult').hide();
    $('#AnnulerEnregistrerProjetConsult').hide();

    $('#cancelAddNewContact').click(function() {
        $('#AnnulerEnregistrerProjetConsult').show();
        $('#EnregistrerProjetConsult').show();
        annulerNouveauContactFou();
    });
    $('#saveNewContact').click(function() {
        $('#AnnulerEnregistrerProjetConsult').show();
        $('#EnregistrerProjetConsult').show();
        enregistrerContact('{{ pathEnregContactFou }}', 'FOU', '{{ indFou }}');
    });

</script>
